# std::istreambuf_iterator<CharT,Traits>::equal

From cppreference.com
< cpp‎ | iterator‎ | istreambuf iterator

bool equal( const istreambuf_iterator& it ) const; |  |

Checks whether both *this and `it` are valid, or both are invalid, regardless of the stream buffer objects they use.

### Parameters

it | - | another stream buffer iterator to compare to

### Return value

true if both *this and `it` are valid, or both are invalid, false otherwise.

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/istreambuf_iterator/equal&oldid=105249"